<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:23 PST 2005 -->
<TITLE>
: Interface  StructuredUserDefinedType
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/StructuredUserDefinedType.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/TimeDataType.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StructuredUserDefinedType.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.datatypes</FONT>
<BR>
Interface  StructuredUserDefinedType</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataType.html">DataType</A>, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedType.html">UserDefinedType</A></DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/StructuredUserDefinedTypeImpl.html">StructuredUserDefinedTypeImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>StructuredUserDefinedType</B><DT>extends <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedType.html">UserDefinedType</A></DL>

<P>
<!-- begin-user-doc -->
 A representation of the model object '<em><b>Structured User Defined Type</b></em>'.
 <!-- end-user-doc -->

 <!-- begin-model-doc -->
 4.7 User-defined types
 
 A user-defined type is a schema object, identified by a <user-defined type name> . The definition of a userdefined type specifies a number of components, including in particular a list of attribute definitions. Although the attribute definitions are said to define the representation of the user-defined type, in fact they implicitly define certain functions (observers and mutators) that are part of the interface of the user-defined type; physical representations of user-defined type values are implementation-dependent.
 
 The representation of a user-defined type is expressed either as a single data type (some predefined data type, called the source type), in which case the user-defined type is said to be a distinct type, or as a list of attribute definitions, in which case it is said to be a structured type.
 
 A user-defined type is described by a user-defined type descriptor. A user-defined type descriptor contains:
  - The name of the user-defined type (<user-defined type name> ). This is the type designator of that type, used in type precedence lists (see Subclause 9.5, "Type precedence list determination").
  - An indication of whether the user-defined type is a structured type or a distinct type.
 <!-- end-model-doc -->

 <p>
 The following features are supported:
 <ul>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isInstantiable()"><CODE><em>Instantiable</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isFinal()"><CODE><em>Final</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSuper()"><CODE><em>Super</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSub()"><CODE><em>Sub</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getAttributes()"><CODE><em>Attributes</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getMethods()"><CODE><em>Methods</em></CODE></A></li>
 </ul>
 </p>
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#getStructuredUserDefinedType()"><CODE>SQLDataTypesPackage.getStructuredUserDefinedType()</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getAttributes()">getAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Attributes</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getMethods()">getMethods</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Methods</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSub()">getSub</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Sub</b></em>' reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html">StructuredUserDefinedType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSuper()">getSuper</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Super</b></em>' reference.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isFinal()">isFinal</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Final</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isInstantiable()">isInstantiable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Instantiable</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#setFinal(boolean)">setFinal</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isFinal()"><CODE><em>Final</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#setInstantiable(boolean)">setInstantiable</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isInstantiable()"><CODE><em>Instantiable</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#setSuper(org.eclipse.wst.rdb.internal.models.sql.datatypes.StructuredUserDefinedType)">setSuper</A></B>(<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html">StructuredUserDefinedType</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSuper()"><CODE><em>Super</em></CODE></A>' reference.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.datatypes.UserDefinedType"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedType.html">UserDefinedType</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedType.html#getOrdering()">getOrdering</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedType.html#getSchema()">getSchema</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedType.html#setOrdering(org.eclipse.wst.rdb.internal.models.sql.datatypes.UserDefinedTypeOrdering)">setOrdering</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedType.html#setSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema)">setSchema</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.datatypes.DataType"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataType.html">DataType</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataType.html#setContainer(org.eclipse.wst.rdb.internal.models.sql.schema.TypedElement)">setContainer</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.schema.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotation(java.lang.String)">addEAnnotation</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">addEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDependencies()">getDependencies</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDescription()">getDescription</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotation(java.lang.String)">getEAnnotation</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">getEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getLabel()">getLabel</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#removeEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">removeEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">setAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setDescription(java.lang.String)">setDescription</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setLabel(java.lang.String)">setLabel</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.ENamedElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.ENamedElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="isInstantiable()"><!-- --></A><H3>
isInstantiable</H3>
<PRE>
public boolean <B>isInstantiable</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Instantiable</b></em>' attribute.
 The default value is <code>"True"</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Instantiable</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Instantiable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#setInstantiable(boolean)"><CODE>setInstantiable(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#getStructuredUserDefinedType_Instantiable()"><CODE>SQLDataTypesPackage.getStructuredUserDefinedType_Instantiable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setInstantiable(boolean)"><!-- --></A><H3>
setInstantiable</H3>
<PRE>
public void <B>setInstantiable</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isInstantiable()"><CODE><em>Instantiable</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Instantiable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isInstantiable()"><CODE>isInstantiable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isFinal()"><!-- --></A><H3>
isFinal</H3>
<PRE>
public boolean <B>isFinal</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Final</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Final</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Final</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#setFinal(boolean)"><CODE>setFinal(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#getStructuredUserDefinedType_Final()"><CODE>SQLDataTypesPackage.getStructuredUserDefinedType_Final()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setFinal(boolean)"><!-- --></A><H3>
setFinal</H3>
<PRE>
public void <B>setFinal</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isFinal()"><CODE><em>Final</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Final</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#isFinal()"><CODE>isFinal()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSuper()"><!-- --></A><H3>
getSuper</H3>
<PRE>
public <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html">StructuredUserDefinedType</A> <B>getSuper</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Super</b></em>' reference.
 It is bidirectional and its opposite is '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSub()"><CODE><em>Sub</em></CODE></A>'.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Super</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Super</em>' reference.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#setSuper(org.eclipse.wst.rdb.internal.models.sql.datatypes.StructuredUserDefinedType)"><CODE>setSuper(StructuredUserDefinedType)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#getStructuredUserDefinedType_Super()"><CODE>SQLDataTypesPackage.getStructuredUserDefinedType_Super()</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSub()"><CODE>getSub()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setSuper(org.eclipse.wst.rdb.internal.models.sql.datatypes.StructuredUserDefinedType)"><!-- --></A><H3>
setSuper</H3>
<PRE>
public void <B>setSuper</B>(<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html">StructuredUserDefinedType</A>&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSuper()"><CODE><em>Super</em></CODE></A>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Super</em>' reference.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSuper()"><CODE>getSuper()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSub()"><!-- --></A><H3>
getSub</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getSub</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Sub</b></em>' reference list.
 The list contents are of type <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html"><CODE>StructuredUserDefinedType</CODE></A>.
 It is bidirectional and its opposite is '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSuper()"><CODE><em>Super</em></CODE></A>'.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Sub</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Sub</em>' reference list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#getStructuredUserDefinedType_Sub()"><CODE>SQLDataTypesPackage.getStructuredUserDefinedType_Sub()</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html#getSuper()"><CODE>getSuper()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getAttributes()"><!-- --></A><H3>
getAttributes</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getAttributes</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Attributes</b></em>' containment reference list.
 The list contents are of type <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/AttributeDefinition.html"><CODE>AttributeDefinition</CODE></A>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Attributes</em>' containment reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Attributes</em>' containment reference list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#getStructuredUserDefinedType_Attributes()"><CODE>SQLDataTypesPackage.getStructuredUserDefinedType_Attributes()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getMethods()"><!-- --></A><H3>
getMethods</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getMethods</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Methods</b></em>' containment reference list.
 The list contents are of type <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Method.html"><CODE>Method</CODE></A>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Methods</em>' containment reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Methods</em>' containment reference list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#getStructuredUserDefinedType_Methods()"><CODE>SQLDataTypesPackage.getStructuredUserDefinedType_Methods()</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/StructuredUserDefinedType.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/TimeDataType.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StructuredUserDefinedType.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
